scala.tools.nsc.symtab.classfile

# AbstractFileReader

#### class AbstractFileReader extends AnyRef

This class reads files byte per byte. Only used by ClassFileParser

Version

  1.0, 23/03/2004

Linear Supertypes
AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. AbstractFileReader
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by any2stringfmt
3. by any2ArrowAssoc
4. by any2Ensuring

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new AbstractFileReader(file: AbstractFile)

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from AbstractFileReader to StringAdd performed by method any2stringadd in scala.Predef.
   Definition Classes
     StringAdd

5. #### def ->[B](y: B): (AbstractFileReader, B)

   Implicit information
     This member is added by an implicit conversion from AbstractFileReader to ArrowAssoc[AbstractFileReader] performed by method any2ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

6. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

7. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

8. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

9. #### var bp: Int

   the current input pointer

10. #### val buf: Array[Byte]

    the buffer containing the file

11. #### def byteAt(pos: Int): Byte

    return byte at offset 'pos'

    return byte at offset 'pos'

    Annotations
      @throws( classOf[IndexOutOfBoundsException] )

12. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

13. #### def ensuring(cond: (AbstractFileReader) ⇒ Boolean, msg: ⇒ Any): AbstractFileReader

    Implicit information
      This member is added by an implicit conversion from AbstractFileReader to Ensuring[AbstractFileReader] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

14. #### def ensuring(cond: (AbstractFileReader) ⇒ Boolean): AbstractFileReader

    Implicit information
      This member is added by an implicit conversion from AbstractFileReader to Ensuring[AbstractFileReader] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

15. #### def ensuring(cond: Boolean, msg: ⇒ Any): AbstractFileReader

    Implicit information
      This member is added by an implicit conversion from AbstractFileReader to Ensuring[AbstractFileReader] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

16. #### def ensuring(cond: Boolean): AbstractFileReader

    Implicit information
      This member is added by an implicit conversion from AbstractFileReader to Ensuring[AbstractFileReader] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

17. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

18. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

19. #### val file: AbstractFile

20. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

21. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from AbstractFileReader to StringFormat performed by method any2stringfmt in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

22. #### def getChar(mybp: Int): Char

    extract a character at position bp from buf

23. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

24. #### def getDouble(mybp: Int): Double

    extract a double at position bp from buf

25. #### def getFloat(mybp: Int): Float

    extract a float at position bp from buf

26. #### def getInt(mybp: Int): Int

    extract an integer at position bp from buf

27. #### def getLong(mybp: Int): Long

    extract a long integer at position bp from buf

28. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

29. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

30. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

31. #### def nextByte: Byte

    read a byte

    read a byte

    Annotations
      @throws( classOf[IndexOutOfBoundsException] )

32. #### def nextBytes(len: Int): Array[Byte]

    read some bytes

33. #### def nextChar: Char

    read a character

34. #### def nextInt: Int

    read an integer

35. #### final def notify(): Unit

    Definition Classes
      AnyRef

36. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

37. #### def skip(n: Int): Unit

    skip next 'n' bytes

38. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

39. #### def toString(): String

    Definition Classes
      AnyRef → Any

40. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

41. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

42. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

43. #### def →[B](y: B): (AbstractFileReader, B)

    Implicit information
      This member is added by an implicit conversion from AbstractFileReader to ArrowAssoc[AbstractFileReader] performed by method any2ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Shadowed Implicit Value Members

1. #### val self: Any

   Implicit information
     This member is added by an implicit conversion from AbstractFileReader to StringAdd performed by method any2stringadd in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (abstractFileReader: StringAdd).self

   Definition Classes
     StringAdd

2. #### val self: Any

   Implicit information
     This member is added by an implicit conversion from AbstractFileReader to StringFormat performed by method any2stringfmt in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (abstractFileReader: StringFormat).self

   Definition Classes
     StringFormat

### Deprecated Value Members

1. #### def x: AbstractFileReader

   Implicit information
     This member is added by an implicit conversion from AbstractFileReader to ArrowAssoc[AbstractFileReader] performed by method any2ArrowAssoc in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (abstractFileReader: ArrowAssoc[AbstractFileReader]).x

   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use `leftOfArrow`instead``

2. #### def x: AbstractFileReader

   Implicit information
     This member is added by an implicit conversion from AbstractFileReader to Ensuring[AbstractFileReader] performed by method any2Ensuring in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (abstractFileReader: Ensuring[AbstractFileReader]).x

   Definition Classes
     Ensuring
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use `resultOfEnsuring`instead``

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from AbstractFileReader to StringAdd

### Inherited by implicit conversion any2stringfmt from AbstractFileReader to StringFormat

### Inherited by implicit conversion any2ArrowAssoc from AbstractFileReader to ArrowAssoc[AbstractFileReader]

### Inherited by implicit conversion any2Ensuring from AbstractFileReader to Ensuring[AbstractFileReader]

### Ungrouped